Skip Menu |
 

This queue is for tickets about the Linux-Smaps CPAN distribution.

Report information
The Basics
Id: 92404
Status: resolved
Priority: 0/
Queue: Linux-Smaps

People
Owner: OPI [...] cpan.org
Requestors: hirose31 [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.13
Fixed in: 0.14



Subject: Can not get version by Module::Metadata
Download (untitled) / with headers
text/plain 288b
Module::Metadata (latest 1.000019) cannot get version of Linux::Smaps. $ perl -MModule::Metadata -e 'warn Module::Metadata->new_from_file(shift)->version' Linux-Smaps-0.13/lib/Linux/Smaps.pm Warning: something's wrong at -e line 1. Could you move up position of "$VERSION" in Smap.pm?
Subject: fix-version-position.diff
--- lib/Linux/Smaps.pm.orig 2014-01-23 17:16:50.600627407 +0900 +++ lib/Linux/Smaps.pm 2014-01-23 17:15:50.490225837 +0900 @@ -6,6 +6,8 @@ no warnings qw(uninitialized portable); use Errno qw/EACCES/; +our $VERSION = '0.13'; + my $min_vma_off; BEGIN { @@ -87,8 +89,6 @@ } } -our $VERSION = '0.13'; - sub new { my $class=shift; $class=ref($class) if( ref($class) );
Thanks for the report, I've included this in 0.14!


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.